# Makefile for GNU Texindex. -*- Indented-Text -*-
# Atari ST version
# Copyright (C) 1990, 1991, 1992 Free Software Foundation, Inc.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#### Start of system configuration section. ####

srcdir = .
VPATH  = $(srcdir):$(common)

common = $(srcdir)/../libtxi

CC = cgcc  # cross-compiler
#CC = gcc
RM = rm -f
STRIP = #xstrip -k $@ # uncomment for a "production" version

LDEFS =  -DSTDC_HEADERS
#if '-mshort' used turn on definition of EXT
MSHORT = #-mshort
EXT = #16

LIBS = -L../libtxi -llibtxi$(EXT) -liio$(EXT)
LOADLIBES = $(LIBS)

CFLAGS = -O2 -fomit-frame-pointer -Wall $(MSHORT)
LDFLAGS = $(CFLAGS) -Xlinker -x -v

#### End of system configuration section. ####

SRCS =  texindex.c
OBJS =  texindex.o

PROGS = texindex.ttp

all: $(PROGS)
.c.o:
	$(CC) -c $(CPPFLAGS) $(LDEFS) -I. -I$(srcdir) -I$(common) $(CFLAGS) $<
clean:
	$(RM) *.o compile.err a.out core core.* 

mostlyclean: clean

distclean: clean
	$(RM) $(PROGS)

realclean: distclean
	$(RM) TAGS

$(PROGS): texindex.o ../libtxi/libtxi$(EXT).olb
	$(CC) $(LDFLAGS) -o $@ texindex.o $(LOADLIBES)
	$(STRIP)

texindex.o: texindex.c $(common)/getopt.h

# Prevent GNU make v3 from overflowing arg limit on SysV.
.NOEXPORT:
